{
  "layer": "top",
  
  "modules-left": ["niri/workspaces"],
  "modules-center": ["niri/window"],
  "modules-right": ["idle_inhibitor", "bluetooth", "network", "wireplumber#source", "wireplumber#sink", "battery", "clock"],
  
  "niri/window": {
    "max-length": 100
  },

  "idle_inhibitor": {
    "format": "{icon}",
    "format-icons": {
      "activated": "󰅶",
      "deactivated": "󰾪"
    },
	"min-length": 2,
	"tooltip": false
  },

  "mpris": {
    "format": "{player_icon} {dynamic}",
    "format-paused": "{status_icon} <i>{dynamic}</i>",
    "player-icons": {
      "default": "󰐊"
    },
    "status-icons": {
      "paused": "󰏤"
    },
    "ignored-players": ["firefox"]
  },
  
  "bluetooth": {
    // "controller": "controller1", // specify the alias of the controller if there are more than 1 on the system
    "format": "",
    "format-disabled": "󰂲", // an empty format will hide the module
    "format-connected": "󰂯",
    "tooltip-format": "{controller_alias}\t{controller_address}",
    "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{device_enumerate}",
    "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
    "min-length": 2
  },
  
  "network": {
    "interface": "wlp2s0",
    "format": "{ifname}",
    "format-icons": ["󰤟", "󰤢", "󰤥", "󰤨"],
    "format-wifi": "{icon}",
    "format-ethernet": "󰈁",
    "format-disconnected": "", //An empty format will hide the module.
    "tooltip-format": "{ifname}",
    "tooltip-format-wifi": "{essid} ({signalStrength}%) 󰖩",
    "tooltip-format-ethernet": "{ifname} 󰈁",
    "tooltip-format-disconnected": "Disconnected",
    "min-length": 2
  },

  "wireplumber#sink": {
    "format": "{icon}",
    "format-muted": "󰖁",
    "format-icons": ["󰕿", "󰖀", "󰕾"],
    "tooltip-format": "{node_name} ({volume}%)",
    "on-click-right": "wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle",
    "scroll-step": 5,
    "min-length": 2
  },
  
  "wireplumber#source": {
    "node-type": "Audio/Source",
    "format": "󰍬",
    "format-muted": "󰍭",
    "tooltip-format": "{node_name} ({volume}%)",
    "on-click-right": "wpctl set-mute @DEFAULT_AUDIO_SOURCE@ toggle",
    "scroll-step": 5,
    "min-length": 2
  },
  
  "battery": {
    "interval": 60,
    "states": {
      "warning": 30,
      "critical": 15
    },
    "events": {
      "on-discharging-warning": "notify-send -u normal 'Low Battery'",
      "on-discharging-critical": "notify-send -u critical 'Very Low Battery'"
    },
    "format": "{icon}",
    "format-icons": ["󰁺", "󰁻", "󰁼", "󰁽", "󰁾", "󰁿", "󰂀", "󰂁", "󰂂", "󰁹"],
	"format-charging": "󰂄",
    "tooltip-format": "{time} ({capacity}%)",
    "min-length": 2
  },

  "clock": {
    "format-alt": "{:%a, %d. %b  %H:%M}",
    "tooltip": false
  }

}



